"""メイン関数

指定したフォルダ内の物件から建物情報や計算条件を取得し、Excelに一覧として出力します。

以下を指定します。
・対象とするフォルダパス
・保存するExcelファイル名
・『SS7』のバージョン


Copyright (C) 2024 UNION SYSTEM Inc.

"""

import ss7_info_extractor as sie

# 対象とするフォルダパス デフォルト:"C:\UsrData\Ss7Data"
base_path = r"C:\UsrData\Ss7Data\contest"

# 保存するExcel名 デフォルト:"folder_information.xlsx"
excel_file_name = "folder_information.xlsx"

# 『SS7』のバージョン。デフォルト:None
ss7_version = None
# ss7_version = "1.1.1.20"

# .iknフォルダ情報を取得
data_info = sie.get_ikn_folder_info(base_path, ss7_version)

# 取得した情報をExcelに保存
sie.save_to_excel(data_info, excel_file_name)
